-------------------------------
--   Star Coin Currency v1   --
--     by EeveeEuphoria      --
-------------------------------

-- NOTICE! THIS IS VERY UNFINISHED!

--[[ PLANS:
	- Have a star coin counter (scc.counter), a real counter (scc.rcounter), and a visual counter (scc.vcounter)
		- Counter is the amount that considers subtracted results
			- A value (subtracted) is the amount used for this
		- The real counter is the amount of total star coins collected overall
		- The visual counter is used for HUD elements, every tic that it isn't the same, subtract or add it to get it the same


]]

local scCurrency = {}

local starcoincount = 0
local difference = 0
local visualstarcoincount = 0


function scCurrency.onInitAPI()
    registerEvent(scCurrency, "onStart")
	registerEvent(scCurrency, "onDraw")
	registerEvent(scCurrency, "onTick")
end


function scCurrency.onStart() -- get current starcoin count, and difference count
	
end

function scCurrency.onTick()
	
end

function scCurrency.onDraw()
	
end

return scCurrency